<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum PayrollPeriodStatus: string
{
    use HasValues;

    case CLOSED = 'closed';
    case OPEN = 'open';

    public function label(): string
    {
        return match ($this) {
            self::CLOSED => 'Tutup',
            self::OPEN => 'Buka',
        };
    }
}
